$(function () {
      $("input.nocostinput").change(calcNetPrice); //When inputs of class nocostinput change. Calculate quick prices

     
})




/**
 * Do the simple calculation of net price after discount.
 *
 */


function calcNetPrice() {
    var discountPercent = $("#discountPercent").val();
    var unitPrice = $('#unitPrice').val();
    

    var quantity = $('#LineItemQuantity').val();
    

    var grossSellPrice = quantity * unitPrice;

    //Calculate the Sale Discount amount.
    var UnitDiscountAmount = (discountPercent/100) * unitPrice;

    var TotalDiscountAmount = (discountPercent/100) * grossSellPrice;
    UnitDiscountAmount = UnitDiscountAmount.toFixed(2);
    TotalDiscountAmount = TotalDiscountAmount.toFixed(2);

    $('#total_discountAmount').val(TotalDiscountAmount);
    $('#discountAmountEach').val(UnitDiscountAmount);
    $('#net_price_each').val(unitPrice - UnitDiscountAmount);

    $('#grossPrice').val(grossSellPrice);

    var netPrice = grossSellPrice - TotalDiscountAmount;
    $('#netPrice').val(netPrice);

}

function checkNaN(value) {
    if( isNaN(value) == true) {
        return 0;
    }
    else {
        return value;
    }
}
